http://www.perlmonks.org?node_id=1186378


in reply to Re^5: [PPM (Perl Package Manager)] Installing multiple modules from a single ppd file (Alien-Sisyphusion-Gtk2WebKitdlls)
in thread [PPM (Perl Package Manager)] Installing multiple modules from a single ppd file

PPM4 clients regard DEPENDENCY the same as REQUIRE, but will simply ignore the VERSION provided

Thanks for digging that up.
It effectively means that I can't simply just do the s/REQUIRE NAME/DEPENDENCY NAME/g that I was hoping to do.
However, specifying both (putting DEPENDENCY NAME ahead of REQUIRE NAME) seems to work ok with both ppm4 and the version that ships with Strawberry.
So I'll do that and see how it all goes.

Cheers,
Rob
  • Comment on Re^6: [PPM (Perl Package Manager)] Installing multiple modules from a single ppd file (Alien-Sisyphusion-Gtk2WebKitdlls)